<?php

ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site'>".LG('Настройки сайта')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=site&section=modules'>".LG('Управление модулями')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Видео')."";
ECHO "</div>"; 

$videos_settings = @PARSE_INI_FILE(ROOT."/system/config/videos.ini", FALSE);

IF (POST('ok')){
  
  $dir_limit = INTVAL(POST('dir_limit'));
  $file_limit = INTVAL(POST('file_limit'));
  
  IF ($dir_limit < 3){
    
    ERROR('Допустимое количество создаваемых альбомов должно начинаться от 3', 'session');
    REDIRECT('?path=site&section=modules&mod=videos');
    
  }
  
  IF ($file_limit < 3){
    
    ERROR('Допустимое количество добавляемых видео должно начинаться от 3', 'session');
    REDIRECT('?path=site&section=modules&mod=videos');
    
  }
  
  INI::UPGRADE(ROOT.'/system/config/videos.ini', 'DIR_LIMIT', $dir_limit);
  INI::UPGRADE(ROOT.'/system/config/videos.ini', 'VIDEOS_LIMIT', $file_limit);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=site&section=modules&mod=videos');
  
}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

HTML::INPUT('dir_limit', 0, 'Максимально допустимое количество создания альбомов пользователями:', NULL, TEXT_ABSOLUTE($videos_settings['DIR_LIMIT']), 'form-control-30', 'text');
HTML::INPUT('file_limit', 0, 'Максимально допустимое количество добавляемых видео для пользователей:', NULL, TEXT_ABSOLUTE($videos_settings['VIDEOS_LIMIT']), 'form-control-30', 'text');

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";
  
?>